Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000702bareos-core[All Projects] Generalpublic2016-09-28 15:482017-02-09 14:46
Reporterjoergs 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version16.2.4 
Target Version16.2.4Fixed in Version16.2.4 
Summary0000702: NDMP test fails on some distributions with some database backends
DescriptionOur internal test fails with NDMP jobs.

It seams to always breaks at the situation, but only with some distribution and then also not with all database backends.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impactno
bareos-15.2: action
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action
Attached Files

- Relationships
child of 0000698closedstephand Release bareos-16.2.4 

-  Notes
(0002376)
joergs (administrator)
2016-10-07 13:16

Fix committed to bareos bareos-16.2 branch with changesetid 6690.

- Related Changesets
bareos: bareos-16.2 685b18f1
Timestamp: 2016-09-30 12:39:52
Author: joergs
Ported: N/A
Details ] Diff ]
bsock: revert feature to send long messages

Reverts the feature introduced by 84ba7730bb4799f0793b2c0ee8572c5c75970ffe:
bsock: allow sending long messages by splitting them into multiple
packages.

As the bsock buffer (msg) is used as send and receive buffer,
fast answers can overwrite the send buffer when the message is splitted
in several parts.

Fixes 0000702: NDMP jobs fail under certain circumstances
mod - src/lib/bsock_tcp.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-28 15:48 joergs New Issue
2016-09-28 15:48 joergs Status new => assigned
2016-09-28 15:48 joergs Assigned To => pstorz
2016-09-28 15:49 joergs Relationship added child of 0000698
2016-09-28 15:49 joergs bareos-16.2: impact => yes
2016-09-28 15:49 joergs bareos-16.2: action => will care
2016-09-28 15:49 joergs bareos-15.2: impact => no
2016-09-28 15:49 joergs bareos-14.2: impact => no
2016-09-28 15:49 joergs bareos-13.2: impact => no
2016-09-28 15:49 joergs bareos-12.4: impact => no
2016-09-30 12:40 joergs Assigned To pstorz => joergs
2016-09-30 12:40 joergs bareos-master: impact => yes
2016-09-30 12:40 joergs bareos-master: action => will care
2016-10-07 13:16 joergs Changeset attached => bareos bareos-16.2 685b18f1
2016-10-07 13:16 joergs Note Added: 0002376
2016-10-07 13:16 joergs Status assigned => resolved
2016-10-07 13:16 joergs Resolution open => fixed
2017-02-09 14:45 joergs bareos-master: action will care => fixed
2017-02-09 14:45 joergs bareos-16.2: action will care => fixed
2017-02-09 14:45 joergs Status resolved => closed
2017-02-09 14:45 joergs Assigned To joergs =>
2017-02-09 14:45 joergs Fixed in Version => 16.2.4


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker